import request from '@/utils/request'

// 查询用户相册管理列表
export function listUserPictures(query) {
  return request({
    url: '/xq/userPictures/list',
    method: 'get',
    params: query
  })
}

// 查询用户相册管理列表合集
export function listUserPicturesMerge(query) {
  return request({
    url: '/xq/userPictures/list/merge',
    method: 'get',
    params: query
  })
}

export function listUserPicturesByUserId(id) {
  return request({
    url: '/xq/userPictures/listByUserId',
    method: 'get',
    params: {userId:id}
  })
}


export function batchUpdateUserPictures(userId,userPictures) {
  return request({
    url: '/xq/userPictures/batchUpdate',
    method: 'post',
    data: {
      userId:userId,
      userPictures: userPictures
    }
  })
}

// 查询用户相册管理详细
export function getUserPictures(id) {
  return request({
    url: '/xq/userPictures/' + id,
    method: 'get'
  })
}

// 新增用户相册管理
export function addUserPictures(data) {
  return request({
    url: '/xq/userPictures',
    method: 'post',
    data: data
  })
}

export function userPicturesAuditSuccess(data) {
  return request({
    url: '/xq/userPictures/audit/success',
    method: 'post',
    data: data
  })
}


export function userPicturesAuditFail(data) {
  return request({
    url: '/xq/userPictures/audit/fail',
    method: 'post',
    data: data
  })
}

// 删除用户相册管理
export function delUserPictures(id) {
  return request({
    url: '/xq/userPictures/' + id,
    method: 'delete'
  })
}
